Package org.springframework.jdbc.core.metadata

# Class MySQLTableMetaDataProvider

java.lang.Object
org.springframework.jdbc.core.metadata.GenericTableMetaDataProvider
org.springframework.jdbc.core.metadata.MySQLTableMetaDataProvider

All Implemented Interfaces:
  `TableMetaDataProvider`

public class MySQLTableMetaDataProvider extends GenericTableMetaDataProvider
The MySQL/MariaDB specific implementation of `TableMetaDataProvider`. Sets `GenericTableMetaDataProvider.setGeneratedKeysColumnNameArraySupported(boolean)` to `false`.

Since:
  6.2.12
Author:
  Juergen Hoeller

## Field Summary

### Fields inherited from class org.springframework.jdbc.core.metadata.GenericTableMetaDataProvider

`logger`

## Constructor Summary

Constructors
Constructor
Description
`MySQLTableMetaDataProvider(DatabaseMetaData databaseMetaData)`

## Method Summary

### Methods inherited from class org.springframework.jdbc.core.metadata.GenericTableMetaDataProvider

`catalogNameToUse, columnNameToUse, getDatabaseVersion, getDefaultSchema, getIdentifierQuoteString, getSimpleQueryForGetGeneratedKey, getTableParameterMetaData, initializeWithMetaData, initializeWithTableColumnMetaData, isGeneratedKeysColumnNameArraySupported, isGetGeneratedKeysSimulated, isGetGeneratedKeysSupported, isStoresLowerCaseIdentifiers, isStoresUpperCaseIdentifiers, isTableColumnMetaDataUsed, metaDataCatalogNameToUse, metaDataSchemaNameToUse, schemaNameToUse, setGeneratedKeysColumnNameArraySupported, setGetGeneratedKeysSupported, setStoresLowerCaseIdentifiers, setStoresUpperCaseIdentifiers, tableNameToUse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MySQLTableMetaDataProvider

public MySQLTableMetaDataProvider(DatabaseMetaData databaseMetaData) throws SQLException

Throws:
  `SQLException`